## turntable 0.3.3

=== Makefile ===
.PHONY: all install uninstall build test potfiles
PREFIX ?= /usr

scrobbling ?= 1
# Remove the devel headerbar style:
# make release=1
release ?=

ifeq ($(scrobbling),0)
    SCROBBLING = -Dscrobbling=false
else
    SCROBBLING = -Dscrobbling=true
endif


all: build

build:
	meson setup builddir --prefix=$(PREFIX)
	meson configure builddir -Ddevel=$(if $(release),false,true) $(SCROBBLING)
	meson compile -C builddir

install:
	meson install -C builddir

uninstall:
	sudo ninja uninstall -C builddir

test:
	ninja test -C builddir

potfiles:
	find ./ -not -path '*/.*' -type f -name "*.in" | sort > po/POTFILES
	echo "" >> po/POTFILES
	find ./ -not -path '*/.*' -type f -name "*.ui" -exec grep -l "translatable=\"yes\"" {} \; | sort >> po/POTFILES
	echo "" >> po/POTFILES
	find ./ -not -path '*/.*' -type f -name "*.vala" -exec grep -l "_(\"\|ngettext" {} \; | sort >> po/POTFILES

=== meson_options.txt ===
option('devel', type: 'boolean', value: false)
option('scrobbling', type: 'boolean', value: true)
option('sandboxed', type: 'boolean', value: false)

# Distros need to fill these for last.fm to work.
# You can get a key on https://www.last.fm/api/account/create
# Please mention that you are unofficially packaging Turntable
# and your distro. Leave callback URL empty. Fill the homepage
# with Turntable's website.
#
# This is needed to ensure that Turntable keeps working for
# everyone in case of bans.
option('lastfm_key', type: 'string', value: '')
option('lastfm_secret', type: 'string', value: '')

=== debian/changelog ===
turntable (0.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1109896)

 -- Danial Behzadi <dani.behzi@ubuntu.com>  Tue, 29 Jul 2025 10:41:34 +0330

=== debian/control ===
Source: turntable
Section: sound
Priority: optional
Maintainer: Danial Behzadi <dani.behzi@ubuntu.com>
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Build-Depends:
 debhelper-compat (= 13),
 appstream-util,
 desktop-file-utils,
 gettext,
 libadwaita-1-dev (>= 1.5),
 libglib2.0-dev (>= 2.76.0),
 libgtk-4-dev (>= 4.13.4),
 libjson-glib-dev (>= 1.4.4),
 libsecret-1-dev,
 libsoup-3.0-dev,
 libxml2-utils,
 meson,
 valac,
Standards-Version: 4.7.2
Homepage: https://turntable.geopjr.dev/
Vcs-Browser: https://salsa.debian.org/danialbehzadi/turntable
Vcs-Git: https://salsa.debian.org/danialbehzadi/turntable.git

Package: turntable
Architecture: any
Depends:
 gir1.2-adw-1 (>= 1.5),
 gir1.2-gtk-4.0 (>= 4.13.4),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Scrobble your music
 Keep track of your listening habits by scrobbling them to last.fm,
 ListenBrainz, Libre.fm and Maloja at the same time using your favorite music
 app's favorite music app! Turntable comes with a highly customizable and
 sleek design that displays information about the currently playing song and
 allows you to control your music player, allowlist it for scrobbling and
 manage your scrobbling accounts. All MPRIS-enabled apps are supported.
 .
 Not interested in GUI but still want to scrobble your MPRIS-enabled players?
 Turntable comes with a CLI, allowing you to scrobble in the background!

=== debian/watch ===
version=4
https://codeberg.org/GeopJr/Turntable/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@

## turntable 0.5.1

=== debian/changelog ===
turntable (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update Standards-Version to 4.7.3.
    - Drop Priority and Rules-Requires-Root fields.
    - Add new build depends.

 -- Danial Behzadi <dani.behzi@ubuntu.com>  Wed, 11 Feb 2026 13:28:36 +0330

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: turntable
 Section: sound
-Priority: optional
 Maintainer: Danial Behzadi <dani.behzi@ubuntu.com>
-Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,15 +8,15 @@
  desktop-file-utils,
  gettext,
  libadwaita-1-dev (>= 1.5),
- libglib2.0-dev (>= 2.76.0),
- libgtk-4-dev (>= 4.13.4),
+ libglycin-gtk4-2-dev,
  libjson-glib-dev (>= 1.4.4),
+ libportal-gtk4-dev,
  libsecret-1-dev,
  libsoup-3.0-dev,
  libxml2-utils,
  meson,
  valac,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://turntable.geopjr.dev/
 Vcs-Browser: https://salsa.debian.org/danialbehzadi/turntable
 Vcs-Git: https://salsa.debian.org/danialbehzadi/turntable.git
